Bug 1009665 - opening links in Firefox freezes the OS solid
opening links in Firefox freezes the OS solid
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 16:01 EDT by Todd
Modified: 2016-02-29 08:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 08:56:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 880907 None None None Never

  None (edit)
Description Todd 2013-09-18 16:01:58 EDT
Steps to reproduce:

I am coming from, the community.   I am loosing a lot of work over this.  Would one of our intrepid heroes please fix this for me?

Firefox 20.0.1, 21.0, and 23.0.1 for Linux, 64 bit
Scientific Linux 6.4 (Red Hat Enterprise Linux 6.4), 64 bit
Xfce 4.8

Every so ofter when I open a link in Firefox, the screen will freeze with Firefox trying to open the link (total white in the box).  The entire computer is frozen as well.  No keystroke will work; mouse is frozen.  This mostly happens trying to open links from Thunderbird, but is not restricted to Thunderbird.  The only way I can recover from the freeze up it to press the magic one fingered reset button.

Many thanks,
-T
Comment 2 Todd 2013-09-23 23:35:12 EDT
Just happened again.  Lost all my work.  I clicked on a link in Thunderbird.  Firefox opened a new tab and my whole desktop froze up.

But, I was able to get some more information about the problem:

    --> the mouse still moved
    --> VLC kept playing music
    --> the link I clicked on was to confirm eMail address change on the
        wine mailing list.  After I rebooted the confirmation was not completed.
Comment 3 Martin Stransky 2013-10-08 08:32:03 EDT
Do you really use Firefox 20.0.1, 21.0, and 23.0.1 on Scientific Linux 6.4 (Red Hat Enterprise Linux 6.4), 64 bit? Because we (Red Hat) ship Firefox ESR (the latest one is firefox-17.0.9). 

You may try to use packages from RHEL instead the ones from Scientific Linux.
Comment 4 Todd 2013-10-08 13:44:02 EDT
(In reply to Martin Stransky from comment #3)
> Do you really use Firefox 20.0.1, 21.0, and 23.0.1 on Scientific Linux 6.4
> (Red Hat Enterprise Linux 6.4), 64 bit? Because we (Red Hat) ship Firefox
> ESR (the latest one is firefox-17.0.9). 
> 
> You may try to use packages from RHEL instead the ones from Scientific Linux.

Hi Martin,

Yes.  I am forced to because most of my customers are on Windows and I have to use the revision they use.  A few on FC19.  I download the tar 64 bit balls from Mozilla's ftp site.

I really do wish RHEL would keep up with Firefox.  Staying out-of-date has a lot of good points for an "enterprise" package, but not with Firefox -- too many security issues, patches, etc., that get ignored.  But since I have lost the argument on that issue, I have to use the tar balls.

By the way, this has been an issue as far back as I can remember, including 17.  I only mentions 20.0.1 etc, as I had the specific revisions.

-T
Comment 5 Martin Stransky 2014-01-23 09:45:35 EST
It looks like a problem with X server or something like that. Can you attach /var/log/Xorg.* log files when you reboot after the crash? /var/log/messages would also help (after the crash).
Comment 6 Todd 2014-01-23 16:17:05 EST
Hi Martin,

I have had a bunch of updates come through on the kernel, X11, and Firefox (now on 26).  The problem seems to be gone.  Go ahead and close.  If it comes back, I will attach the information you requested.

Thank you!

-T
Comment 7 Todd 2014-01-23 16:17:38 EST
Hi Martin,

I have had a bunch of updates come through on the kernel, X11, and Firefox (now on 26).  The problem seems to be gone.  Go ahead and close.  If it comes back, I will attach the information you requested.

Thank you!

-T
Comment 8 Martin Stransky 2014-01-24 02:53:51 EST
Okay, Thanks.
Comment 9 Todd 2014-01-24 13:02:47 EST
Hi Martin,

Wouldn't you know it.  The day after ...

I had two tabs open in Firefox 26.  Was reading an article in Thunderbird that had a link in it.  Clicked on the link.  Firefox came into focus with both tabs, but not the third tab that should have opened up, due to the clicking of the link in Thunderbird.  And, the entire machine froze solid.  The "f" keys included.

I don't suppose having an instance of KVM Windows XP booting up in the background had anything to do with it?  Video was off, as I like to wait for Windows to stop booting before starting Spice.

$ uname -rv
2.6.32-431.1.2.el6.x86_64 #1 SMP Thu Dec 12 13:59:19 CST 2013

$ cat /etc/redhat-release
Scientific Linux release 6.4 (Carbon)

-T
Comment 10 RHEL Product and Program Management 2014-01-27 13:06:22 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 Todd 2014-01-27 13:59:37 EST
(In reply to RHEL Product and Program Management from comment #10)
> This request was not resolved in time for the current release.
> Red Hat invites you to ask your support representative to
> propose this request, if still desired, for consideration in
> the next release of Red Hat Enterprise Linux.

Is this a automated response?

Please add the request to the next release.
Comment 12 Todd 2014-01-28 15:24:11 EST
Yesterday, my wife clicked on a link inside Firefox, she got a white (blank) page and the computer froze solid.  So, not always from Thunderbird and no virtual machines were running.
Comment 13 Todd 2014-03-31 18:28:48 EDT
Went to open a link in Thunderbird.  Got me but good today.

Kernel 2.6.32-431.11.2.el6.x86_64
Firefox 28.0.0 64 bit
Thunderbird 24.4.0


Mouse stayed at a "finger" pointer but did move.  <ctrl>alt><f1> and <f2> did not work.

And I had to hunt down and remove /var/named/chroot/var/run/named/named.pid before my named daemon would start working again.  That was a pain.
Comment 14 Todd 2014-04-10 16:30:43 EDT
New info.  This time it was just clicking on the Firefox icon on the desktop.  So, the problem is isolated to Firefox.

Same mouse and  <ctrl>alt><f1> and <f2> symptoms
Comment 15 Todd 2014-05-19 19:07:26 EDT
Happened again on Firefox 29.0.1.  This time I had VLC running and it kept on playing.  So, apparently what is being clobbered is the keyboard and mouse.
<ctrl><alt><f2> or any combination did not work (they do after the reboot)
Comment 16 Todd 2014-05-30 15:15:56 EDT
Happened again today.

I noticed that the mouse moved, but that the keyboard (p/s-2) was frozen.  Pressing cap lock did not toggle the cap lock LED.  Tried unplugging the keyboard and plugging it back in, no change.

Also waited 25 minutes (screensaver comes on at 5 minutes) and still frozen.
Comment 17 Martin Stransky 2016-02-29 08:56:38 EST
I guess it's already fixed, correct?

Note You need to log in before you can comment on or make changes to this bug.